package com.kingdee.eas.custom.facade.plurality;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PluralitySubFacadeFactory
{
    private PluralitySubFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.facade.plurality.IPluralitySubFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.facade.plurality.IPluralitySubFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("A8411F30") ,com.kingdee.eas.custom.facade.plurality.IPluralitySubFacade.class);
    }
    
    public static com.kingdee.eas.custom.facade.plurality.IPluralitySubFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.plurality.IPluralitySubFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("A8411F30") ,com.kingdee.eas.custom.facade.plurality.IPluralitySubFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.facade.plurality.IPluralitySubFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.plurality.IPluralitySubFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("A8411F30"));
    }
    public static com.kingdee.eas.custom.facade.plurality.IPluralitySubFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.plurality.IPluralitySubFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("A8411F30"));
    }
}